Subject: Re: Crash with highmem support enabled

From: "Gerhard Pircher" <[email-masked]>
Date: Wed, 25 Oct 2006 09:45:14 +0200

-------- Original-Nachricht --------
Datum: Wed, 25 Oct 2006 15:34:50 +1000
Von: Paul Mackerras <[email-masked]>
An: "Gerhard Pircher" <[email-masked]>
Betreff: Re: Crash with highmem support enabled

> Gerhard Pircher writes:
> 
> > I guess this has something to do with the IO block mapping, which is
> > implemented in the amigaone_setup.c file and looks like this:
> 
> Why on earth are you still using io_block_mapping?

What should be used instead? ioremap()? The io_block_mapping() code was copied over from the PReP platform code in arch/ppc/platforms/.

In the meantime I found out that highmem failed due to the IO block mapping (sometimes it is good to look at the code ;). The mapping is needed for the AmigaOne/U-boot framebuffer to be able to access the ISA memory and I/O. Where and when can I savely remap (no 1:1 remapping) the ISA space so that the framebuffer survives the MMU initialization?

thanks!

Gerhard

-- 
GMX DSL-Flatrate 0,- Euro* - Überall, wo DSL verfügbar ist!
NEU: Jetzt bis zu 16.000 kBit/s! http://www.gmx.net/de/go/dsl